## whohas 0.29.1

=== Makefile ===
PREFIX  ?= /usr/local
bindir  ?= $(PREFIX)/bin
mandir  ?= $(PREFIX)/share/man
docdir  ?= $(PREFIX)/share/doc/whohas
exadir  ?= $(docdir)/examples
INSTALL ?= install
VERSION ?= 0.29.1

all: check

check:
	perl -wc whohas
	test "$$(sed -n 's/^.*distros[a-zA-Z]\+ = qw(\([^)]*\).*/\1/p' whohas)" = "$$(sed -n 's/^.*distro[a-zA-Z]\+ = qw(\([^)]*\).*/\1/p' whohas.cf)"

install:
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) -m755 whohas $(DESTDIR)$(bindir)
	$(INSTALL) -d $(DESTDIR)$(mandir)/man1
	$(INSTALL) -d $(DESTDIR)$(mandir)/de/man1
	$(INSTALL) -m644 usr/share/man/man1/whohas.1 $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m644 usr/share/man/de/man1/whohas.1 $(DESTDIR)$(mandir)/de/man1
	$(INSTALL) -d $(DESTDIR)$(docdir)
	$(INSTALL) -m644 intro.html $(DESTDIR)$(docdir)
	$(INSTALL) -d $(DESTDIR)$(docdir)/html_assets
	$(INSTALL) -m755 html_assets/* $(DESTDIR)$(docdir)/html_assets
	$(INSTALL) -m644 README $(DESTDIR)$(docdir)
	$(INSTALL) -m644 NEWS $(DESTDIR)$(docdir)
	$(INSTALL) -m644 TODO $(DESTDIR)$(docdir)
	$(INSTALL) -d $(DESTDIR)$(exadir)
	$(INSTALL) -m644 whohas.cf $(DESTDIR)$(exadir)

release:
	gitk --all &
	echo '!!! Please summarize the release here one item per paragraph !!!' > NEWS.notes
	$$EDITOR NEWS.notes
	echo $(VERSION) > NEWS.new
	echo >> NEWS.new
	cat NEWS.notes >> NEWS.new
	echo >> NEWS.new
	cat NEWS >> NEWS.new
	mv NEWS.new NEWS
	sed -i '/^\.TH/s/"[0-9]\.[0-9.]\+"/"$(VERSION)"/' usr/share/man/man1/whohas.1 usr/share/man/de/man1/whohas.1
	git commit -m 'Release version $(VERSION)' NEWS usr
	git tag -s -a -F NEWS.notes $(VERSION)
	rm -f NEWS.notes
	GZIP= git archive --prefix=whohas-$(VERSION)/ -o whohas-$(VERSION).tar.gz $(VERSION)
	gpg --armour --detach-sign whohas-$(VERSION).tar.gz

.PHONY: all install check release

## whohas 0.23

=== debian/changelog ===
whohas (0.23-3) unstable; urgency=low

  * Standards version 3.8.3
  * Convert packaging to format 3.0 (quilt), including converting all
    patches to quilt
  * debian/whohas.doc-base: Register HTML documentation with doc-base
  * Patch openbsd-4.6-557662: Update the OpenBSD current release version
    in program/whohas (Closes: #557662) - thanks to Evgeni Golov
  * Patch openbsd-cache-results: Use @names for the loop on a cached
    OpenBSD package list, not @repos which is is never populated
    (Closes: #557724)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 23 Nov 2009 23:32:14 +0000

whohas (0.23-2) unstable; urgency=low

  * Fix patch 25-use-getopt-513473 so it doesn't dump the whole Source
    Mage repository when not using threads (Closes: #519202)
  * Update the returned Gentoo links to a more official and useful
    destination (Closes: #516071)
  * Simplify and fix the subroutine for downloading package lists to
    stop it mangling XML declarations
  * New distribution added: opkg, the OpenMoko community repository
    (part of 518275)
  * Added dependency on libxml-simple-perl and updated package
    description

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Wed, 11 Mar 2009 20:54:56 +0000

whohas (0.23-1) unstable; urgency=low

  * New upstream version
  * Integrated patches upstream:
     05-column-width-510152
     07-unsupp-distro-510891
     15-honour-proxy-512902
     20-mandriva-repo-513466
  * Update and improve patches to fit new upstream:
     06-ubuntu-versions-510203.dpatch
     10-debian-versions-511364.dpatch
     25-use-getopt-513473
     26-help-param-513476.dpatch
  * Patch to add the --shallow option to the syntax in the manpage
  * Merged patches 29-cleanup-names and 30-strictness-510020-510524, and
    rewrote the result to be saner
  * Updated copyright information

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 03 Mar 2009 22:41:36 +0000

whohas (0.22-4) unstable; urgency=low

  * Stop 25-use-getopt-513473.dpatch from breaking Mandriva support
    (Closes: #514240)
  * Stopped 20-mandriva-repo-513466.dpatch creating a copy of whohas as
    whohas.orig (Closes: #514297)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 06 Feb 2009 00:56:51 +0000

whohas (0.22-3) unstable; urgency=low

  * Removed README.Debian (no longer necessary)
  * Patch to include Mandriva repositories (Sylvestre Ledru)
    (Closes: #513466)
  * Patch to handle parameters with Getopt::Long (Steve Cotton) 
    (Closes: #513473)
  * Patch to handle the --help parameter properly (Steve Cotton)
    (Closes: #513476)
  * Patch to trim whitespace from package names
  * Patch which adds a --strict option to only output exact package
    matches (Closes: #510020, #510524)
  * Updated supported list to include Mandriva in the long description

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 30 Jan 2009 12:16:07 +0000

whohas (0.22-2) unstable; urgency=low

  * Patch to revert the behaviour of the Debian module, showing all
    distributions instead of just stable and testing (Steve Cotton)
    (Closes: 511364)
  * Patch to honour the proxy settings in the users' environment
    (Closes: #512902)
  * Update README.Debian

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 25 Jan 2009 19:17:02 +0000

whohas (0.22-1) unstable; urgency=low

  * New upstream version
  * Removed upstream-integrated patches:
      01-arch-slash-509981
      02-ubuntu-url-509975
      03-freebsd-url-510189
      04-ubuntu-fedora-510231
      07-netbsd-url-510293
  * Updated the following patches:
      05-column-width-510152
      06-ubuntu-versions-510203
  * Patch to abort with a message if given an unsupported distribution
    (Steve Cotton) (Closes: #510891)
  * Added README.Debian to explain how each patch changes whohas's
    behaviour
  * Manual page whohas.1 is now integrated upstream
  * Updated debian/whohas.install to fit upstream's new layout
  * Tweaked copyright information

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Thu, 08 Jan 2009 11:33:12 +0000

whohas (0.21-4) unstable; urgency=low

  * Patch to correct the FreeBSD lookup url and returned information url
    (Evgeni Golov) (Closes: #510189)
  * Patch to correct distribution lookups when used with --no-threads
    (Steve Cotton) (Closes: #510231)
  * Depend on ${DPATCH_STAMPFN} instead of patch-stamp in debian/rules
    (Closes: #510259)
  * Patch to extend the version column to 20 characters (Steve Cotton)
    (Closes: #510152)
  * Patch to show all versions of a ubuntu package, not just the earliest
    (Steve Cotton) (Closes: #510203)
  * Patch to correct the NetBSD search URL (Cristian Ionescu-Idbohrn)
    (Closes: #510293) 

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 04 Jan 2009 00:29:40 +0000

whohas (0.21-3) unstable; urgency=low

  * Removed duplicate space from package description
  * Patch to correct the Arch Linux lookup url
    (Giuseppe Iuculano) (Closes: #509881)
  * Minor path change in manual whohas.1 (Closes: #510019) 
  * Patch to correct the Ubuntu lookup url
    (Steve Cotton) (Closes: #509975)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 29 Dec 2008 15:36:03 +0000

whohas (0.21-2) unstable; urgency=low

  * Added Vcs-Git field to debian/control
  * Remove unneeded dependency on ${shlibs:Depends}
  * Revised manual page slightly

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 09 Dec 2008 06:53:10 +0000

whohas (0.21-1) unstable; urgency=low

  * Initial release (Closes: #507938)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 08 Dec 2008 13:04:40 +0000

=== debian/control ===
Source: whohas
Section: utils
Priority: extra
Maintainer: Jonathan Wiltshire <debian@jwiltshire.org.uk>
Dm-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), quilt (>= 0.46-7)
Standards-Version: 3.8.3
Homepage: http://www.philippwesche.org/200811/whohas/intro.html
Vcs-Browser: http://robin.powdarrmonkey.net/cgi-bin/gitweb.cgi?p=whohas
Vcs-Git: git://robin.powdarrmonkey.net/git/whohas

Package: whohas
Architecture: all
Depends: perl, libwww-perl, libxml-simple-perl, ${misc:Depends}
Description: query multiple distributions' package archives
 whohas is a command line tool that allows you to query several package 
 collections at once. 
 .
 It supports Arch Linux (and AUR), Debian, Fedora, Gentoo, openSUSE, Slackware 
 (and linuxpackages.net), Source Mage Linux, Ubuntu, FreeBSD, NetBSD, OpenBSD, 
 Fink, Mandriva, MacPorts and opkg (OpenMoko community) repositories. 
 .
 whohas was designed to help package maintainers find ebuilds, pkgbuilds, and 
 similar package definitions from other distributions to learn from. However, it
 can also be used by normal users who want to know which distribution provides 
 certain packages, and which version of a given package is in use in each 
 distribution or in each release of a distribution.

## whohas 0.24

=== debian/changelog ===
whohas (0.24-1) unstable; urgency=low

  * New upstream release
  * Refactor existing patches to fit new upstream. Patch 05-manpage-0.23
    is renamed to 04-manpage-0.23, and patch openbsd-4.6-557662 is
    integrated in a different form upstream
  * New patch 05-manpage-0.24 corrects program version in whohas.1
  * New patch 60-dont-mask-vars-560891 to remove a masked variable
    (Closes: #560891) - thanks to Jari Aalto
  * Standards version 3.8.4 (no changes)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 04 Apr 2010 23:41:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jonathan Wiltshire <debian@jwiltshire.org.uk>
 Dm-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7), quilt (>= 0.46-7)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://www.philippwesche.org/200811/whohas/intro.html
 Vcs-Browser: http://robin.powdarrmonkey.net/cgi-bin/gitweb.cgi?p=whohas
 Vcs-Git: git://robin.powdarrmonkey.net/git/whohas

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#include /usr/share/quilt/quilt.make

%:
	dh $@

## whohas 0.29

=== debian/changelog ===
whohas (0.29-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/10-debian-versions -- fixed up wording and removed
    obsolete meta-information (Thanks to Adam D. Barratt for the review)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Dec 2012 08:44:38 -0500

whohas (0.29-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed and improved 06-ubuntu-versions to get information on all
    reported releases for Ubuntu (Closes: #670675)
  * Adjusted 10-debian-versions to rely on fixed in 06-ubuntu-versions
    functionality to fetch information on all available releases at once,
    instead of looping through predefined list of releases. This way
    it should obtain information about oldstable and backports when
    available (Closes: #616297,#655497)
  * The other patches in the series were updated

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 27 Sep 2012 10:14:28 -0400

whohas (0.29-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #516408) (Closes: #651322)
  * New patch 96-fedora-search-619873 to support the newer fedora package
    listing (Closes: #619873)
  * Remove patch 25-use-getopt-513473 (applied by upstream)
  * Remove patch 50-opkg-repo (repository not responding)
  * Remove patch 70-fedora-version (merged into 96-fedora-search-619873)
  * Update patches to apply cleanly in the new upstream release:
    - 06-ubuntu-versions
    - 10-debian-versions
    - 26-help-param
    - 30-strictness
  * Standards version 3.9.2 (no changes)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Dec 2011 10:16:36 -0300

whohas (0.24-2) unstable; urgency=low

  * New patch 70-fedora-version to search Fedora 14 (Closes: #575909)
  * New patch to update openSUSE search URLs (Closes: #585596) - thanks
    to Guillaume Delacour
  * New patch to update OpenBSD search URLs (Closes: #586537) - thanks
    to Guillaume Delacour <gui@iroqwa.org>
  * New patch to update Arch search URLs (Closes: #561536) - thanks to
    Guillaume Delacour <gui@iroqwa.org>
  * Update my email address and remove DMUA flag
  * Standards version 3.9.1 (no changes required)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 05 Dec 2010 22:13:15 +0000

=== debian/watch ===
# See uscan(1) for format

version=3

# <Webpage URL> <string match>
http://www.philippwesche.org/200811/whohas/intro.html whohas-(.*)\.tar\.gz

## whohas 0.29.1

=== debian/changelog ===
whohas (0.29.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 14:26:03 +0100

whohas (0.29.1-1) unstable; urgency=low

  * New upstream release (Closes: #783915)
    - Fixes memory issue using forks module (Closes: #523497, LP: #690796)
    - Fixes all existing distro support
      (Closes: #766473, #774271, #619992, #676471)
    - Fixes FreeBSD URLs (Closes: #626138)
    - Adds links for Fedora packages (Closes: #515510)
    - Adds config file for distro selection/versions (Closes: #632976)
  * New maintainers (Closes: #697137)
  * Move git repository to collab-maint
  * Drop quilt build-dep since it isn't needed with dpkg-source v3
  * Add new forks dependency
  * Adapt packaging to new upstream build system
  * Bump package to debhelper 9
  * Update description to match supported sites
  * Recommend libsys-cpu-perl for auto-job-count
  * Adapt watch file to new upstream git repo
  * Check new upstream OpenPGP signatures
  * Add some DEP-12 upstream metadata
  * Use https and cgit for Vcs-* headers
  * Bump Standards-Version, no changes needed
  * Remove merged and superseded patches
  * Switch to Priority optional
  * 40-improve-fetchdoc:
    - update for new paths
    - disable at request of upstream
  * Re-write debian/copyright in machine-readable form
  * Remove unneeded libxml-simple-perl dep
  * Add build-dependencies for the tests

 -- Paul Wise <pabs@debian.org>  Mon, 25 May 2015 18:57:19 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/whohas/whohas/releases .*/whohas-(\d\S*)\.tar\.gz
#http://www.philippwesche.org/200811/whohas/intro.html whohas-(.*)\.tar\.gz

## whohas 0.29.1+git20220714.5feb1a4

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,28 @@
 exadir  ?= $(docdir)/examples
 INSTALL ?= install
 VERSION ?= 0.29.1
+WH_PATH ?= ./
 
 all: check
 
 check:
 	perl -wc whohas
 	test "$$(sed -n 's/^.*distros[a-zA-Z]\+ = qw(\([^)]*\).*/\1/p' whohas)" = "$$(sed -n 's/^.*distro[a-zA-Z]\+ = qw(\([^)]*\).*/\1/p' whohas.cf)"
+
+check-distros:
+	status=0 ;\
+	for distro in $$(sed -n 's/^.*distros[a-zA-Z]\+ = qw(\([^)]*\).*/\1/p' whohas) ; do \
+	  echo -n "Checking $$distro... " ;\
+	  lines=$$($(WH_PATH)whohas -d $$distro bash 2> /dev/null | wc -l) ;\
+	  ret=$$? ;\
+	  if [ 0 -eq $$lines -o $$ret -ne 0 ] ; then \
+	    echo FAIL ;\
+	    status=1 ;\
+	  else \
+	    echo OK ;\
+	  fi ;\
+	done ;\
+	exit $$status
 
 install:
 	$(INSTALL) -d $(DESTDIR)$(bindir)
@@ -22,7 +38,7 @@
 	$(INSTALL) -d $(DESTDIR)$(docdir)
 	$(INSTALL) -m644 intro.html $(DESTDIR)$(docdir)
 	$(INSTALL) -d $(DESTDIR)$(docdir)/html_assets
-	$(INSTALL) -m755 html_assets/* $(DESTDIR)$(docdir)/html_assets
+	$(INSTALL) -m644 html_assets/* $(DESTDIR)$(docdir)/html_assets
 	$(INSTALL) -m644 README $(DESTDIR)$(docdir)
 	$(INSTALL) -m644 NEWS $(DESTDIR)$(docdir)
 	$(INSTALL) -m644 TODO $(DESTDIR)$(docdir)
@@ -46,4 +62,4 @@
 	GZIP= git archive --prefix=whohas-$(VERSION)/ -o whohas-$(VERSION).tar.gz $(VERSION)
 	gpg --armour --detach-sign whohas-$(VERSION).tar.gz
 
-.PHONY: all install check release
+.PHONY: all install check check-distros release

=== debian/changelog ===
whohas (0.29.1+git20220714.5feb1a4-1) unstable; urgency=medium

  * Team upload of debian team

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.
    Closes: #675399

  [ Andreas Tille ]
  * New upstream commit
    Closes: #841434
  * Point watch file to latest upstream commit since there are a lot
    of fixes in these commits without a new release version
  * Drop debian/gbp.conf
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Wed, 30 Oct 2024 16:21:02 +0100

=== debian/control ===
Source: whohas
Maintainer: Paul Wise <pabs@debian.org>
Uploaders: Yaroslav Halchenko <yoh@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libforks-perl,
               libwww-perl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/whohas
Vcs-Git: https://salsa.debian.org/debian/whohas.git
Homepage: http://www.philippwesche.org/200811/whohas/intro.html
Rules-Requires-Root: no

Package: whohas
Architecture: all
Depends: libforks-perl,
         libwww-perl,
         ${perl:Depends},
         ${misc:Depends}
Recommends: libsys-cpu-perl
Description: query multiple distributions' package archives
 whohas is a command line tool that allows you to query several package
 collections at once.
 .
 It supports Arch Linux, AUR, Debian, Fedora, Gentoo, openSUSE, Slackware,
 Source Mage, Ubuntu, FreeBSD, NetBSD, OpenBSD, Fink, Mandriva and MacPorts.
 .
 whohas was designed to help package maintainers find ebuilds, pkgbuilds, and
 similar package definitions from other distributions to learn from. However, it
 can also be used by normal users who want to know which distribution provides
 certain packages, and which version of a given package is in use in each
 distribution or in each release of a distribution.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4

opts="mode=git,pretty=0.29.1+git%cd.%h" \
    https://github.com/whohas/whohas.git HEAD

# lots of fixes in upstream commits but no new release
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#https://github.com/whohas/whohas/tags .*/(\d\S*)\.tar\.gz
